/*
 * Phlex Project
 * graphlet.java -- like an applet but better
 * Copyright (C) 2000 Filip Pizlo
 */

import java.awt.*;
import java.applet.*;
import java.net.*;
import java.io.*;
import java.util.*;
import java.awt.image.*;

public class graphlet implements ImageObserver {
 Applet app;
 Properties props;
 Component repainter;
 public void initialize(Applet _app,Component _repainter) {
  app=_app;
  repainter=_repainter;
  props=new Properties();
  try {
   String filename=getClass().getName()+".props";
   System.out.println("Loading: "+filename);
   String ploc=app.getParameter(filename);
   URL url=new URL(app.getCodeBase(),ploc);
   props.load(url.openStream());
  } catch (Throwable e) {
   System.err.println("Error in "+getClass().getName()+".initialize: "+e);
  }
  init();
 }
 public void init() {}
 public void start() {}
 public void stop() {}
 public void paint(Graphics g) {}
 public AppletContext getAppletContext() { return app.getAppletContext(); }
 public String getParameter(String key) {
  return props.getProperty(key);
 }
 public Dimension size() { return app.getSize(); }
 public Dimension getSize() { return app.getSize(); }
 public Image createImage(int w,int h) { return app.createImage(w,h); }
 public Image getImage(URL url) { return app.getImage(url); }
 public Image getImage(URL url,String add) { return app.getImage(url,add); }
 public boolean imageUpdate(Image img,int infoflags,int x,int y,
  int width,int height) {
  return app.imageUpdate(img,infoflags,x,y,width,height);
 }
 public void repaint() { repainter.repaint(); }
 public URL getCodeBase() { return app.getCodeBase(); }
 public URL getDocumentBase() { return app.getDocumentBase(); }
 public void resize(int width,int height) {}
 public boolean isActive() { return app.isActive(); }
 public Color getForeground() { return app.getForeground(); }
 public Color getBackground() { return app.getBackground(); }
 public FontMetrics getFontMetrics(Font f) { return app.getFontMetrics(f); }
}



